Package org.apache.commons.math3.ode.events

# Enum FilterType

java.lang.Object
java.lang.Enum<FilterType>
org.apache.commons.math3.ode.events.FilterType

All Implemented Interfaces:
  `Serializable`, `Comparable<FilterType>`, `java.lang.constant.Constable`

public enum FilterType extends Enum<FilterType>
Enumerate for `filtering events`.

Since:
  3.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TRIGGER_ONLY_DECREASING_EVENTS`
Constant for triggering only decreasing events.
`TRIGGER_ONLY_INCREASING_EVENTS`
Constant for triggering only increasing events.

## Method Summary

Modifier and Type
Method
Description
`protected abstract boolean`
`getTriggeredIncreasing()`
Get the increasing status of triggered events.
`protected abstract org.apache.commons.math3.ode.events.Transformer`
`selectTransformer(org.apache.commons.math3.ode.events.Transformer previous, double g, boolean forward)`
Get next function transformer in the specified direction.
`static FilterType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FilterType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRIGGER_ONLY_DECREASING_EVENTS

public static final FilterType TRIGGER_ONLY_DECREASING_EVENTS
Constant for triggering only decreasing events.

When this filter is used, the wrapped `event handler` `eventOccurred` method will be called only with its `increasing` argument set to false.

### TRIGGER_ONLY_INCREASING_EVENTS

public static final FilterType TRIGGER_ONLY_INCREASING_EVENTS
Constant for triggering only increasing events.

When this filter is used, the wrapped `event handler` `eventOccurred` method will be called only with its `increasing` argument set to true.

## Method Details

### values

public static FilterType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FilterType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getTriggeredIncreasing

protected abstract boolean getTriggeredIncreasing()
Get the increasing status of triggered events.

Returns:
  true if triggered events are increasing events

### selectTransformer

protected abstract org.apache.commons.math3.ode.events.Transformer selectTransformer(org.apache.commons.math3.ode.events.Transformer previous, double g, boolean forward)
Get next function transformer in the specified direction.

Parameters:
  `previous` - transformer active on the previous point with respect to integration direction (may be null if no previous point is known)
  `g` - current value of the g function
  `forward` - true if integration goes forward
Returns:
  next transformer transformer